## libinstpatch 1.1.2

=== CMakeLists.txt ===
# 
# libInstPatch
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

project ( libInstPatch C )
cmake_minimum_required ( VERSION 2.6.3 )
set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

# libInstPatch package name
set ( PACKAGE "libinstpatch" )

# libInstPatch package version
set ( IPATCH_VERSION_MAJOR 1 )
set ( IPATCH_VERSION_MINOR 1 )
set ( IPATCH_VERSION_MICRO 2 )
set ( VERSION "${IPATCH_VERSION_MAJOR}.${IPATCH_VERSION_MINOR}.${IPATCH_VERSION_MICRO}" )
set ( IPATCH_VERSION "\"${VERSION}\"" )

# libinstpatch - Library version
# *** NOTICE ***
# Update library version upon each release (follow these steps in order)
# if any source code changes: REVISION++
# if any interfaces added/removed/changed: REVISION=0
# if any interfaces removed/changed (compatibility broken): CURRENT++
# if any interfaces have been added: AGE++
# if any interfaces have been removed/changed (compatibility broken): AGE=0
# This is not exactly the same algorithm as the libtool one, but the results are the same.
set ( LIB_VERSION_CURRENT 2 )
set ( LIB_VERSION_AGE 0 )
set ( LIB_VERSION_REVISION 1 )
set ( LIB_VERSION_INFO 
      "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )

# Options disabled by default
option ( enable-debug "enable debugging (default=no)" off )
option ( GTKDOC_ENABLED "Create Gtk-Doc API reference (default=no)" off )
option ( INTROSPECTION_ENABLED "Create GObject Introspection typelib" off )

# Options enabled by default
option ( BUILD_SHARED_LIBS "Build a shared object or DLL" on )

# Initialize the library directory name suffix.
if ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "64" )
else ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set ( _init_lib_suffix "" )
endif ( CMAKE_SIZEOF_VOID_P EQUAL 8 )
set ( LIB_SUFFIX ${_init_lib_suffix} CACHE STRING 
      "library directory name suffix (32/64/nothing)" )
mark_as_advanced ( LIB_SUFFIX )

# Default install directory names
include ( DefaultDirs )

# Basic C library checks
include ( CheckSTDC )
include ( CheckIncludeFile )
check_include_file ( string.h HAVE_STRING_H )
check_include_file ( stdlib.h HAVE_STDLIB_H ) 
check_include_file ( stdio.h HAVE_STDIO_H ) 
check_include_file ( math.h HAVE_MATH_H ) 
check_include_file ( errno.h HAVE_ERRNO_H ) 
check_include_file ( stdarg.h HAVE_STDARG_H ) 
check_include_file ( unistd.h HAVE_UNISTD_H )

if ( WIN32 )
  # Check presence of MS include files
  check_include_file ( io.h HAVE_IO_H )
endif( WIN32 )


unset ( IPATCH_CPPFLAGS CACHE )
unset ( IPATCH_LIBS CACHE )

# Options for the GNU C compiler only
if ( CMAKE_COMPILER_IS_GNUCC )
  if ( NOT APPLE )
    set ( CMAKE_EXE_LINKER_FLAGS 
          "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
    set ( CMAKE_SHARED_LINKER_FLAGS 
          "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
  endif ( NOT APPLE )
  set ( GNUCC_WARNING_FLAGS "-Wall")
  set ( CMAKE_C_FLAGS "-pedantic" )
  set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG -fsanitize=undefined ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_DEBUG}" )
  set ( CMAKE_C_FLAGS_RELEASE "-O2 -DNDEBUG ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_RELEASE}" )
  set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_RELWITHDEBINFO}" )
endif ( CMAKE_COMPILER_IS_GNUCC )

if ( MSVC )
    # statically link in the CRT library to avoid a bunch of runtime DLL dependencies and allow 
    # the CI windows builds to be run under WinXP
    foreach ( flag_var
        CMAKE_C_FLAGS
        CMAKE_C_FLAGS_DEBUG
        CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL
        CMAKE_C_FLAGS_RELWITHDEBINFO
        CMAKE_CXX_FLAGS
        CMAKE_CXX_FLAGS_DEBUG
        CMAKE_CXX_FLAGS_RELEASE
        CMAKE_CXX_FLAGS_MINSIZEREL
        CMAKE_CXX_FLAGS_RELWITHDEBINFO
        )
      if ( ${flag_var} MATCHES "/MD" )
        string ( REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}" )
      endif ( ${flag_var} MATCHES "/MD" )
    endforeach ( flag_var )
endif ( MSVC )

if ( enable-debug )  
    set ( CMAKE_BUILD_TYPE "Debug" CACHE STRING
          "Choose the build type, options: Debug Release RelWithDebInfo" FORCE )
    set ( IPATCH_DEBUG 1 )
endif ( enable-debug )

unset ( MINGW32 CACHE )
if ( WIN32 )
  # MinGW compiler (a Windows GCC port)
  if ( MINGW ) 
    set ( MINGW32 1 )
    add_definitions ( -mms-bitfields )
  endif  ( MINGW )
else ( WIN32 )
  set ( IPATCH_LIBS "m" )
endif ( WIN32 )

unset ( ENABLE_DEBUG CACHE )
unset ( DEBUG CACHE )
if ( CMAKE_BUILD_TYPE MATCHES "Debug" )
    set ( ENABLE_DEBUG 1 )
    set ( DEBUG 1 )
endif ( CMAKE_BUILD_TYPE MATCHES "Debug" )

# Mandatory tool: pkg-config
find_package ( PkgConfig REQUIRED )

# Mandatory libraries: gobject, glib and gthread
pkg_check_modules ( GOBJECT REQUIRED gobject-2.0>=2.12 glib-2.0>=2.12 gthread-2.0>=2.12 )

# Disable deprecation warnings for now (fixed in master)
add_definitions ( -DGLIB_DISABLE_DEPRECATION_WARNINGS )

include ( UnsetPkgConfig )

# Check for libsndfile
pkg_check_modules ( SNDFILE REQUIRED sndfile>=1.0.0 )

# Check for GObjectIntrospection binding
if (INTROSPECTION_ENABLED)
  include (FindGObjectIntrospection)
endif ()

# Check for Gtk-Doc
if (GTKDOC_ENABLED)
  include (FindGtkDoc)
endif ()

# General configuration file
configure_file ( ${CMAKE_SOURCE_DIR}/config.h.cmake 
                 ${CMAKE_BINARY_DIR}/config.h )
add_definitions ( -DHAVE_CONFIG_H )

# Version and master libinstpatch.h file
configure_file ( ${CMAKE_SOURCE_DIR}/libinstpatch/version.h.in
                 ${CMAKE_CURRENT_BINARY_DIR}/libinstpatch/version.h )
configure_file ( ${CMAKE_SOURCE_DIR}/libinstpatch/libinstpatch.h.in
                 ${CMAKE_CURRENT_BINARY_DIR}/libinstpatch/libinstpatch.h )

set (INSTPATCH_INSTALL_TARGET "libinstpatch-${LIB_VERSION_CURRENT}")

# pkg-config support
if ( UNIX OR MINGW OR WIN32)
    set ( prefix "${CMAKE_INSTALL_PREFIX}" )
    set ( exec_prefix "\${prefix}" )
    if ( IS_ABSOLUTE "${LIB_INSTALL_DIR}" )
      set ( libdir "${LIB_INSTALL_DIR}" )
    else ()
      set ( libdir "\${exec_prefix}/${LIB_INSTALL_DIR}" )
    endif ()
    if ( IS_ABSOLUTE "${INCLUDE_INSTALL_DIR}" )
      set ( includedir "${INCLUDE_INSTALL_DIR}/${INSTPATCH_INSTALL_TARGET}" )
    else ()
      set ( includedir "\${prefix}/${INCLUDE_INSTALL_DIR}/${INSTPATCH_INSTALL_TARGET}" )
    endif ()
    # stamp library name with version current value (for Windows only)
    if(MINGW OR WIN32)
        set ( lib_output_name ${INSTPATCH_INSTALL_TARGET} )
    else(MINGW OR WIN32)
        set ( lib_output_name instpatch-1.0 )
    endif(MINGW OR WIN32)
    configure_file ( libinstpatch-1.0.pc.in
        ${CMAKE_BINARY_DIR}/libinstpatch-1.0.pc IMMEDIATE @ONLY )
    install ( FILES ${CMAKE_BINARY_DIR}/libinstpatch-1.0.pc
              DESTINATION ${LIB_INSTALL_DIR}/pkgconfig )
endif ( UNIX OR MINGW OR WIN32)

# Extra targets for Unix build environments
if ( UNIX )
    # uninstall custom target
    configure_file ( "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
    add_custom_target ( uninstall
      "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif ( UNIX )

# Process subdirectories 
add_subdirectory ( libinstpatch )
add_subdirectory ( utils )
add_subdirectory ( docs )

# CPack support 
set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "libInstPatch instrument editing library" )
set ( CPACK_PACKAGE_VENDOR "swami.sourceforge.net" )
set ( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md" )
set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING" )
set ( CPACK_PACKAGE_VERSION_MAJOR ${IPATCH_VERSION_MAJOR} )
set ( CPACK_PACKAGE_VERSION_MINOR ${IPATCH_VERSION_MINOR} )
set ( CPACK_PACKAGE_VERSION_PATCH ${IPATCH_VERSION_MICRO} )

# source packages
set ( CPACK_SOURCE_GENERATOR TGZ;TBZ2;ZIP )
set ( CPACK_SOURCE_IGNORE_FILES "/.svn/;~$;.cproject;.project;/.settings/;${CPACK_SOURCE_IGNORE_FILES}" )
set ( CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE}-${VERSION}" ) 
set ( CPACK_SOURCE_STRIP_FILES OFF )

# binary packages
include ( InstallRequiredSystemLibraries )
set ( CPACK_GENERATOR STGZ;TGZ;TBZ2;ZIP )
set ( CPACK_PACKAGE_NAME ${PACKAGE} )
set ( CPACK_STRIP_FILES ON )

include ( CPack )

message ( "Build options:" )

if ( ENABLE_DEBUG )
  message ( "Debug:                 yes" )
else ( ENABLE_DEBUG )
  message ( "Debug:                 no" )
endif ( ENABLE_DEBUG )

if (INTROSPECTION_FOUND)
  message ( "GObjectIntrospection:  yes" ) 
else (INTROSPECTION_FOUND)
  message ( "GObjectIntrospection:  no" ) 
endif(INTROSPECTION_FOUND)

if (GTKDOC_FOUND)
  message ( "Gtk-Doc API reference: yes" ) 
else (GTKDOC_FOUND)
  message ( "Gtk-Doc API reference: no" ) 
endif(GTKDOC_FOUND)

file(GLOB_RECURSE
     ALL_SOURCE_FILES
     LIST_DIRECTORIES false
     ${CMAKE_SOURCE_DIR}/*.[chi]
     ${CMAKE_SOURCE_DIR}/*.[chi]pp
     ${CMAKE_SOURCE_DIR}/*.[chi]xx
     ${CMAKE_SOURCE_DIR}/*.cc
     ${CMAKE_SOURCE_DIR}/*.hh
     ${CMAKE_SOURCE_DIR}/*.ii
     ${CMAKE_SOURCE_DIR}/*.[CHI]
     )
     
find_program ( ASTYLE "astyle" )
if ( ASTYLE )
  add_custom_target(
    format
    COMMAND ${ASTYLE}
    -A1
    -xb
    -j
    -k3
    -p
    -f
    -n
    -U
    ${ALL_SOURCE_FILES}
    )
endif ( ASTYLE)

=== libinstpatch/CMakeLists.txt ===
# 
# libInstPatch
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GOBJECT_INCLUDEDIR}
    ${GOBJECT_INCLUDE_DIRS}
    ${SNDFILE_INCLUDEDIR}
    ${SNDFILE_INCLUDE_DIRS}
)

# ************ library ************

set ( instpatch_public_HEADERS
    builtin_enums.h
	compat.h
    IpatchBase.h
    IpatchContainer.h
    IpatchConverter.h
    IpatchConverterSF2VoiceCache.h
    IpatchConvert_DLS2.h
    IpatchConvert_Gig.h
    IpatchConvert_SF2.h
    IpatchConvert_SLI.h
    IpatchDLS2Conn.h
    IpatchDLS2.h
    IpatchDLS2Info.h
    IpatchDLS2Inst.h
    IpatchDLS2Region.h
    IpatchDLS2Sample.h
    IpatchDLSFile.h
    IpatchDLSReader.h
    IpatchDLSWriter.h
    IpatchFile.h
    IpatchGig.h
    IpatchGigDimension.h
    IpatchGigEffects.h
    IpatchGigFile.h
    IpatchGigInst.h
    IpatchGigRegion.h
    IpatchGigSample.h
    IpatchGigSubRegion.h
    IpatchItem.h
    IpatchIter.h
    IpatchList.h
    IpatchParamProp.h
    IpatchPaste.h
    IpatchRange.h
    IpatchRiff.h
    IpatchSample.h
    IpatchSampleData.h
    IpatchSampleList.h
    IpatchSampleStore.h
    IpatchSampleStoreCache.h
    IpatchSampleStoreFile.h
    IpatchSampleStoreRam.h
    IpatchSampleStoreRom.h
    IpatchSampleStoreSndFile.h
    IpatchSampleStoreSplit24.h
    IpatchSampleStoreSwap.h
    IpatchSampleStoreVirtual.h
    IpatchSampleTransform.h
    IpatchSF2.h
    IpatchSF2File.h
    IpatchSF2Gen.h
    IpatchSF2GenItem.h
    IpatchSF2Inst.h
    IpatchSF2IZone.h
    IpatchSF2Mod.h
    IpatchSF2ModItem.h
    IpatchSF2ModList.h
    IpatchSF2Preset.h
    IpatchSF2PZone.h
    IpatchSF2Reader.h
    IpatchSF2Sample.h
    IpatchSF2VoiceCache.h
    IpatchSF2VoiceCache_DLS.h
    IpatchSF2VoiceCache_SF2.h
    IpatchSF2VoiceCache_SLI.h
    IpatchSF2VoiceCache_Gig.h
    IpatchSF2VoiceCache_VBank.h
    IpatchSF2Writer.h
    IpatchSF2Zone.h
    IpatchSLI.h
    IpatchSLIFile.h
    IpatchSLIInst.h
    IpatchSLIReader.h
    IpatchSLISample.h
    IpatchSLIWriter.h
    IpatchSLIZone.h
    IpatchSndFile.h
    IpatchTypeProp.h
    IpatchUnit.h
    IpatchUnit_generic.h
    IpatchUnit_DLS.h
    IpatchUnit_SF2.h
    IpatchVBank.h
    IpatchVBankInst.h
    IpatchVBankRegion.h
    IpatchVirtualContainer.h
    IpatchVirtualContainer_types.h
    IpatchXml.h
    IpatchXmlObject.h
    misc.h
    sample.h
    util.h
) 

set ( instpatch_private_HEADERS
    IpatchDLSFile_priv.h
    IpatchGigFile_priv.h
    IpatchSF2File_priv.h
    IpatchSLIFile_priv.h
    compat.h
)

set ( instpatch_SOURCES
    builtin_enums.c
    IpatchBase.c
    IpatchContainer.c
    IpatchContainer_notify.c
    IpatchConverter.c
    IpatchConverterSF2VoiceCache.c
    IpatchConverter_priv.h
    IpatchConvert_DLS2.c
    IpatchConvert_Gig.c
    IpatchConvert_SF2.c
    IpatchConvert_SLI.c
    IpatchDLS2.c
    IpatchDLS2Conn.c
    IpatchDLS2Info.c
    IpatchDLS2Inst.c
    IpatchDLS2Region.c
    IpatchDLS2Sample.c
    IpatchDLSFile.c
    IpatchDLSReader.c
    IpatchDLSWriter.c
    IpatchFile.c
    IpatchFileBuf.c
    IpatchGig.c
    IpatchGigDimension.c
    IpatchGigEffects.c
    IpatchGigFile.c
    IpatchGigInst.c
    IpatchGigRegion.c
    IpatchGigSample.c
    IpatchGigSubRegion.c
    IpatchItem.c
    IpatchItemProp.c
    IpatchIter.c
    IpatchList.c
    IpatchParamProp.c
    IpatchPaste.c
    IpatchRange.c
    IpatchRiff.c
    IpatchSample.c
    IpatchSampleData.c
    IpatchSampleList.c
    IpatchSampleStore.c
    IpatchSampleStoreCache.c
    IpatchSampleStoreFile.c
    IpatchSampleStoreRam.c
    IpatchSampleStoreRom.c
    IpatchSampleStoreSndFile.c
    IpatchSampleStoreSplit24.c
    IpatchSampleStoreSwap.c
    IpatchSampleStoreVirtual.c
    IpatchSampleTransform.c
    IpatchSF2.c
    IpatchSF2File.c
    IpatchSF2Gen.c
    IpatchSF2GenItem.c
    IpatchSF2Gen_tables.c
    IpatchSF2Inst.c
    IpatchSF2IZone.c
    IpatchSF2Mod.c
    IpatchSF2ModItem.c
    IpatchSF2ModList.c
    IpatchSF2Preset.c
    IpatchSF2PZone.c
    IpatchSF2Reader.c
    IpatchSF2Sample.c
    IpatchSF2VoiceCache.c
    IpatchSF2VoiceCache_DLS.c
    IpatchSF2VoiceCache_SF2.c
    IpatchSF2VoiceCache_SLI.c
    IpatchSF2VoiceCache_Gig.c
    IpatchSF2VoiceCache_VBank.c
    IpatchSF2Writer.c
    IpatchSF2Zone.c
    IpatchSLI.c
    IpatchSLIFile.c
    IpatchSLIInst.c
    IpatchSLIInst_CatMaps.c
    IpatchSLIReader.c
    IpatchSLISample.c
    IpatchSLIWriter.c
    IpatchSLIZone.c
    IpatchSndFile.c
    IpatchTypeProp.c
    IpatchUnit.c
    IpatchUnit_generic.c
    IpatchUnit_DLS.c
    IpatchUnit_SF2.c
    IpatchVBank.c
    IpatchVBankInst.c
    IpatchVBankRegion.c
    IpatchVirtualContainer.c
    IpatchVirtualContainer_types.c
    IpatchXml.c
    IpatchXmlObject.c
    compat.c
    i18n.h
    md5.c
    md5.h
    misc.c
    sample.c
    util.c
)


set ( public_main_HEADER ${CMAKE_CURRENT_BINARY_DIR}/libinstpatch.h )

link_directories (
    ${GOBJECT_LIBDIR}
    ${GOBJECT_LIBRARY_DIRS}
    ${SNDFILE_LIBDIR}
    ${SNDFILE_LIBRARY_DIRS}
)

add_definitions ( -DLOCALEDIR="${DATA_INSTALL_DIR}/locale" )


set (DEFINITION_FILE "")
# Options for WINDOWS only
if( WIN32 )
    # disable deprecation warnings 
    add_definitions ( -D_CRT_SECURE_NO_WARNINGS )
    if (BUILD_SHARED_LIBS)
        # adding a module definition file for shared libs will export symbols and produce import library
        set (DEFINITION_FILE libinstpatch.def)
    endif(BUILD_SHARED_LIBS)
endif( WIN32 )

add_library ( libinstpatch
    ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
    ${instpatch_SOURCES} ${DEFINITION_FILE}
        ipatch_priv.h
)

target_link_libraries ( libinstpatch
    ${GOBJECT_LIBRARIES}
    ${SNDFILE_LIBRARIES}
    ${IPATCH_LIBS}
)

install ( FILES
          ${instpatch_public_HEADERS}
          ${public_main_HEADER}
          ${CMAKE_CURRENT_BINARY_DIR}/version.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/${INSTPATCH_INSTALL_TARGET}/libinstpatch)

find_program (GLIB2_MKENUMS glib-mkenums)
find_program (SED sed)

add_custom_target(enums
  COMMAND ${GLIB2_MKENUMS}
    --fhead \"\#ifndef __IPATCH_BUILTIN_ENUMS_H__\\n\"
    --fhead \"\#define __IPATCH_BUILTIN_ENUMS_H__\\n\\n\"
    --fhead \"\#include <glib-object.h>\\n\\n\"
    --fhead \"G_BEGIN_DECLS\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\\n\"
    --vhead \"GType @enum_name@_get_type \(void\)\;\\n\"
    --vhead \"\#define IPATCH_TYPE_@ENUMSHORT@ \(@enum_name@_get_type\(\)\)\\n\"
    --ftail \"G_END_DECLS\\n\\n\"
    --ftail \"\#endif /* __IPATCH_BUILTIN_ENUMS_H__ */\"
    ${instpatch_public_HEADERS}
    | ${SED} 's/dl_s2/dls2/g\;s/DL_S2/DLS2/g'
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.h
    
  COMMAND ${GLIB2_MKENUMS}
    --fhead \"\#include \\"libinstpatch.h\\"\\n\"
    --fhead \"\#include \\"ipatch_priv.h\\"\\n\\n\"
    --fprod \"/* enumerations from \\"@filename@\\" */\"
    --vhead \"static const G@Type@Value _@enum_name@_values[] = {\"
    --vprod \"  { @VALUENAME@, \\"@VALUENAME@\\", \\"@valuenick@\\" },\"
    --vtail \"  { 0, NULL, NULL }\\n}\;\\n\\n\"
    --vtail \"GType\\n@enum_name@_get_type \(void\)\\n{\\n\"
    --vtail \"  static GType type = 0\;\\n\\n\"
    --vtail \"  if \(G_UNLIKELY \(type == 0\)\)\\n\"
    --vtail \"    type = g_\@type\@_register_static \(\\"@EnumName@\\", _@enum_name@_values\)\;\\n\\n\"
    --vtail \"  return type\;\\n}\\n\\n\"
    ${instpatch_public_HEADERS}
    | ${SED} 's/dl_s2/dls2/g\;s/DL_S2/DLS2/g'
    > ${CMAKE_CURRENT_BINARY_DIR}/builtin_enums.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${instpatch_public_HEADERS}
)

find_program (GLIB2_GENMARSHAL glib-genmarshal)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --body --prefix=ipatch_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list > ${CMAKE_CURRENT_BINARY_DIR}/marshals.c
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
)

add_custom_command (
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  COMMAND ${GLIB2_GENMARSHAL}
  ARGS
    --header --prefix=ipatch_marshal
    ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list > ${CMAKE_CURRENT_BINARY_DIR}/marshals.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/marshals.list
)

if ( MACOSX_FRAMEWORK )
     set_property ( SOURCE ${instpatch_public_HEADERS} 
         PROPERTY MACOSX_PACKAGE_LOCATION Headers/libinstpatch
     )
    set_target_properties ( libinstpatch
      PROPERTIES
        OUTPUT_NAME "libinstpatch-1.0"
        FRAMEWORK TRUE
        PUBLIC_HEADER "${public_main_HEADER}"
        FRAMEWORK_VERSION "${LIB_VERSION_CURRENT}"
        INSTALL_NAME_DIR ${FRAMEWORK_INSTALL_DIR}
        VERSION ${LIB_VERSION_INFO}
        SOVERSION ${LIB_VERSION_CURRENT}
    )
elseif( MINGW OR WIN32 )
  set_target_properties ( libinstpatch
    PROPERTIES
      PREFIX ""
      OUTPUT_NAME ${INSTPATCH_INSTALL_TARGET}
      VERSION ${LIB_VERSION_INFO}
  )
else( MINGW OR WIN32 )
  set_target_properties ( libinstpatch
    PROPERTIES
      PREFIX ""
      OUTPUT_NAME "libinstpatch-1.0"
      VERSION ${LIB_VERSION_INFO}
      SOVERSION ${LIB_VERSION_CURRENT}
  )
endif ( MACOSX_FRAMEWORK )

if ( IPATCH_CPPFLAGS )
  set_target_properties ( libinstpatch
    PROPERTIES COMPILE_FLAGS ${IPATCH_CPPFLAGS} )
endif ( IPATCH_CPPFLAGS ) 

install ( TARGETS libinstpatch
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  BUNDLE DESTINATION ${BUNDLE_INSTALL_DIR}
)

macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

# GObject Introspection
if (INTROSPECTION_FOUND)

  # libInstPatch has to be initialized, so we build an introspection program which does this
  add_executable ( gir_prog gir_prog.c )

  target_link_libraries ( gir_prog
    libinstpatch
    ${GOBJECT_LIBRARIES}
    ${SNDFILE_LIBRARIES}
    ${IPATCH_LIBS}
    ${INTROSPECTION_LIBRARIES}
  )

  string (REPLACE ";" " " INTROSPECTION_CFLAGS_STR "${INTROSPECTION_CFLAGS}")
  set_target_properties (gir_prog
                         PROPERTIES COMPILE_FLAGS "${INTROSPECTION_CFLAGS_STR}")

  include(GObjectIntrospectionMacros)
  set(INTROSPECTION_GIRS)
  set(INTROSPECTION_SCANNER_ARGS "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR}")
  set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

  set(introspection_files ${instpatch_SOURCES} ${instpatch_public_HEADERS})
  set(Ipatch_1_1_gir ${INSTPATCH_INSTALL_TARGET})
  set(Ipatch_1_1_gir_INCLUDES GObject-2.0)
  set(Ipatch_1_1_gir_LIBS ${INSTPATCH_INSTALL_TARGET})
  get_directory_property(_tmp_includes INCLUDE_DIRECTORIES)
  _list_prefix(_includes _tmp_includes "-I")
  set(Ipatch_1_1_gir_CFLAGS ${_includes})
  set(Ipatch_1_1_gir_PROGRAM ${CMAKE_CURRENT_BINARY_DIR}/gir_prog)
  _list_prefix(_abs_introspection_files introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
  list(APPEND _abs_introspection_files
    ${CMAKE_CURRENT_SOURCE_DIR}/builtin_enums.c
    ${CMAKE_CURRENT_SOURCE_DIR}/builtin_enums.h
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
  )
  set(Ipatch_1_1_gir_NAMESPACE Ipatch)
  set(Ipatch_1_1_gir_VERSION 1.1)
  set(Ipatch_1_1_gir_FILES ${_abs_introspection_files})
  set(Ipatch_1_1_gir_SCANNERFLAGS --c-include ${public_main_HEADER})

  list(APPEND INTROSPECTION_GIRS Ipatch-1.1.gir)

  gir_add_introspections(INTROSPECTION_GIRS)

  add_dependencies (gir-girs gir_prog)  # Add introspection program as a dependency of gir-girs
endif (INTROSPECTION_FOUND)

=== docs/reference/CMakeLists.txt ===
# 
# libInstPatch
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

set (ignore_headers
    IpatchConvert_Gig.h
    IpatchConvert_SF2.h
    IpatchConvert_DLS2.h
    IpatchConverter_priv.h
    IpatchSF2VoiceCache_DLS.h
    IpatchSF2VoiceCache_Gig.h
    IpatchSF2VoiceCache_SF2.h
    IpatchSF2VoiceCache_VBank.h
    IpatchState.h
    IpatchStateGroup.h
    IpatchStateItem.h
    IpatchState_types.h
    builtin_enums.h
    compat.h
    config.h
    i18n.h
    ipatch_priv.h
    libinstpatch.h
    marshals.h
)

if (GTKDOC_FOUND)
  include (UseGtkDoc)

  gtk_doc_add_module (libinstpatch ${CMAKE_SOURCE_DIR}/libinstpatch
    XML libinstpatch-docs.xml
    SUFFIXES c h
    IGNOREHEADERS ${ignore_headers}
    EXTRAHEADERS ${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch/version.h
    TYPEINITFUNC ipatch_init\(\)
    CFLAGS -I${CMAKE_SOURCE_DIR}
    LDFLAGS -L${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch -linstpatch-1.0
    LDPATH ${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch
    DEPENDS instpatch-1.0
  )
endif ()

## libinstpatch 1.0.0

=== debian/changelog ===
libinstpatch (1.0.0-7) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Set Maintainer to debian-multimedia@lists.d.o.
    - Drop unneeded build-dependency on autotools-dev.
    - Bump standards version to 4.1.4.
    - Set Rules-Requires-Root: no.
  * debian/libinstpatch-1.0-0.symbols:
    - Use a single symbols file for all arches.
  * debian/patches:
    - Add upstream patch to fix IPATCH_FILE_SWAP16 usage in IpatchSF2Reader.
      (Closes: #894386)
    - Mark patches already applied upstream.
  * debian/rules:
    - Remove useless LDFLAGS variable in d/rules.
  * debian/source/local-options: Remove.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

 -- James Cowgill <jcowgill@debian.org>  Sat, 07 Apr 2018 18:26:26 +0100

libinstpatch (1.0.0-6) unstable; urgency=medium

  * Set dh/compat 10.
  * Add patch to fix dead-lock. (Closes: #807823)
  * Fix hardening.
  * Update symbols files.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Dec 2016 10:59:35 +0100

libinstpatch (1.0.0-5) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Update copyright file.
  * Fix some hardening.
  * Enable parallel build.
  * Drop dbg package in favour of dbgsym.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Sep 2016 19:39:32 +0200

libinstpatch (1.0.0-4) unstable; urgency=low

  * Bump Standards.
  * Patches forwarded.
  * Set dh 9.
  * Update VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 21 Aug 2014 11:13:16 +0200

libinstpatch (1.0.0-3) unstable; urgency=low

  * Built with Multi-Arch
  * Set arch any for -dev library.
  * Bump Standards
  * Updated copyright file to rev. 204
  * Added paragrafs for Public domains.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 12 Feb 2012 19:18:01 +0100

libinstpatch (1.0.0-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Fixed description.

  [ Alessio Treglia ]
  * ./examples/create_fs.{c,h}, ./utils/riff_dump.c are "public domain";
    thanks to Luca Falavigna for reporting this!
  * Add patch to fix build failure with binutils-gold (Closes: #603500);
    thanks to Fabrice Coutadeur for the patch.
  * Fix watch file to properly handle {pre,beta}-releases.

 -- Alessio Treglia <alessio@debian.org>  Mon, 15 Nov 2010 00:43:12 +0100

libinstpatch (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #601783).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Oct 2010 13:32:01 +0200

=== debian/control ===
Source: libinstpatch
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 11),
 docbook-xml,
 gettext,
 gtk-doc-tools,
 intltool,
 libglib2.0-dev (>= 2.14),
 libsndfile1-dev (>= 1.0.17-2)
Build-Depends-Indep:
 libglib2.0-doc
Rules-Requires-Root: no
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/multimedia-team/libinstpatch.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libinstpatch
Homepage: http://swami.sourceforge.net

Package: libinstpatch-1.0-0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIDI instrument editing library
 libInstPatch stands for lib-Instrument-Patch and is a library for
 processing digital sample based MIDI instrument "patch" files.
 The types of files libInstPatch supports are used for creating
 instrument sounds for wavetable synthesis. This library provides
 an object framework (based on GObject) to load patch files into,
 which can then be edited, converted, compressed and saved.
 .
 More information can be found on the Project Swami website
 http://swami.sourceforge.net.
 .
 This package contains the shared library.

Package: libinstpatch-dev
Section: libdevel
Architecture: any
Depends:
 libglib2.0-dev (>= 2.14),
 libinstpatch-1.0-0 (= ${binary:Version}),
 libsndfile1-dev (>= 1.0.17-2),
 pkg-config,
 ${misc:Depends}
Multi-Arch: same
Description: MIDI instrument editing library development files
 libInstPatch stands for lib-Instrument-Patch and is a library for
 processing digital sample based MIDI instrument "patch" files.
 The types of files libInstPatch supports are used for creating
 instrument sounds for wavetable synthesis. This library provides
 an object framework (based on GObject) to load patch files into,
 which can then be edited, converted, compressed and saved.
 .
 More information can be found on the Project Swami website
 http://swami.sourceforge.net.
 .
 This package contains the headers and static library.

Package: libinstpatch-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 devhelp
Description: MIDI instrument editing library documentation
 libInstPatch stands for lib-Instrument-Patch and is a library for
 processing digital sample based MIDI instrument "patch" files.
 The types of files libInstPatch supports are used for creating
 instrument sounds for wavetable synthesis. This library provides
 an object framework (based on GObject) to load patch files into,
 which can then be edited, converted, compressed and saved.
 .
 More information can be found on the Project Swami website
 http://swami.sourceforge.net.
 .
 This package contains the documentation for libinstpatch1 in
 /usr/share/gtk-doc/html/libinstpatch.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/([0-9.]+)(pre|beta-)(.*)/\1~\2\3/" \
http://sf.net/swami/libinstpatch-(.+)\.tar\.gz

## libinstpatch 1.1.2

=== debian/changelog ===
libinstpatch (1.1.2-2build1) focal; urgency=medium

  * No-change rebuild to pick up i386 build

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Apr 2020 12:21:24 -0700

libinstpatch (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jan 2020 20:21:45 +0100

libinstpatch (1.1.2-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/watch: Use https protocol

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Add cmake to B-D
    + Update homepage
  * d/copyright:
    + Update source to github releases
    + Update email of Upstream-Contact
    + Update copyright year
    + Add myself to d/ section
    + http > https
  * d/libinstpatch-1.0-0.install: Drop
  * d/libinstpatch-dev.install: Drop
  * d/patches: Drop all patches, applied to upstream
  * d/rules: Update for the new cmake build
  * Update d/watch file for github releases

  [ Sebastian Ramacher ]
  * SONAME: libinstpatch-1.0-0 -> libinstpatch-1.0-2
  * debian/: No longer build libinstpatch-doc
  * debian/pachtes: Honor CFLAGS/CPPFLAGS

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jan 2020 16:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libinstpatch
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 11),
- docbook-xml,
+ debhelper-compat (= 12),
+ cmake,
  gettext,
- gtk-doc-tools,
  intltool,
  libglib2.0-dev (>= 2.14),
  libsndfile1-dev (>= 1.0.17-2)
-Build-Depends-Indep:
- libglib2.0-doc
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/libinstpatch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libinstpatch
-Homepage: http://swami.sourceforge.net
+Homepage: https://github.com/swami/libinstpatch
 
-Package: libinstpatch-1.0-0
+Package: libinstpatch-1.0-2
 Section: libs
 Architecture: any
 Depends:
@@ -47,7 +45,7 @@
 Architecture: any
 Depends:
  libglib2.0-dev (>= 2.14),
- libinstpatch-1.0-0 (= ${binary:Version}),
+ libinstpatch-1.0-2 (= ${binary:Version}),
  libsndfile1-dev (>= 1.0.17-2),
  pkg-config,
  ${misc:Depends}
@@ -64,24 +62,3 @@
  http://swami.sourceforge.net.
  .
  This package contains the headers and static library.
-
-Package: libinstpatch-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends}
-Suggests:
- devhelp
-Description: MIDI instrument editing library documentation
- libInstPatch stands for lib-Instrument-Patch and is a library for
- processing digital sample based MIDI instrument "patch" files.
- The types of files libInstPatch supports are used for creating
- instrument sounds for wavetable synthesis. This library provides
- an object framework (based on GObject) to load patch files into,
- which can then be edited, converted, compressed and saved.
- .
- More information can be found on the Project Swami website
- http://swami.sourceforge.net.
- .
- This package contains the documentation for libinstpatch1 in
- /usr/share/gtk-doc/html/libinstpatch.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_install:
	dh_install -plibinstpatch-dev usr/include
	dh_install -plibinstpatch-dev usr/lib*/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install -plibinstpatch-dev usr/lib*/pkgconfig/* usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	dh_install -plibinstpatch-1.0-2 usr/lib*/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install --remaining-packages

## libinstpatch 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # libInstPatch package version
 set ( IPATCH_VERSION_MAJOR 1 )
 set ( IPATCH_VERSION_MINOR 1 )
-set ( IPATCH_VERSION_MICRO 2 )
+set ( IPATCH_VERSION_MICRO 3 )
 set ( VERSION "${IPATCH_VERSION_MAJOR}.${IPATCH_VERSION_MINOR}.${IPATCH_VERSION_MICRO}" )
 set ( IPATCH_VERSION "\"${VERSION}\"" )
 
@@ -31,7 +31,7 @@
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LIB_VERSION_CURRENT 2 )
 set ( LIB_VERSION_AGE 0 )
-set ( LIB_VERSION_REVISION 1 )
+set ( LIB_VERSION_REVISION 2 )
 set ( LIB_VERSION_INFO 
       "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )
 
@@ -85,7 +85,7 @@
           "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
   endif ( NOT APPLE )
   set ( GNUCC_WARNING_FLAGS "-Wall")
-  set ( CMAKE_C_FLAGS "-pedantic" )
+  set ( CMAKE_C_FLAGS "-pedantic ${CMAKE_C_FLAGS}" )
   set ( CMAKE_C_FLAGS_DEBUG "-g -DDEBUG -fsanitize=undefined ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_DEBUG}" )
   set ( CMAKE_C_FLAGS_RELEASE "-O2 -DNDEBUG ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_RELEASE}" )
   set ( CMAKE_C_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG ${GNUCC_WARNING_FLAGS} ${CMAKE_C_FLAGS_RELWITHDEBINFO}" )
@@ -189,9 +189,9 @@
     endif ()
     # stamp library name with version current value (for Windows only)
     if(MINGW OR WIN32)
-        set ( lib_output_name ${INSTPATCH_INSTALL_TARGET} )
+        set ( lib_version_suffix ${LIB_VERSION_CURRENT} )
     else(MINGW OR WIN32)
-        set ( lib_output_name instpatch-1.0 )
+        set ( lib_version_suffix 1.0 )
     endif(MINGW OR WIN32)
     configure_file ( libinstpatch-1.0.pc.in
         ${CMAKE_BINARY_DIR}/libinstpatch-1.0.pc IMMEDIATE @ONLY )

=== libinstpatch/CMakeLists.txt ===
--- 
+++ 
@@ -345,15 +345,15 @@
 elseif( MINGW OR WIN32 )
   set_target_properties ( libinstpatch
     PROPERTIES
-      PREFIX ""
-      OUTPUT_NAME ${INSTPATCH_INSTALL_TARGET}
+      ARCHIVE_OUTPUT_NAME "instpatch-${LIB_VERSION_CURRENT}"
+      PREFIX "lib"
+      OUTPUT_NAME "instpatch-${LIB_VERSION_CURRENT}"
       VERSION ${LIB_VERSION_INFO}
   )
 else( MINGW OR WIN32 )
   set_target_properties ( libinstpatch
     PROPERTIES
-      PREFIX ""
-      OUTPUT_NAME "libinstpatch-1.0"
+      OUTPUT_NAME "instpatch-1.0"
       VERSION ${LIB_VERSION_INFO}
       SOVERSION ${LIB_VERSION_CURRENT}
   )

=== debian/changelog ===
libinstpatch (1.1.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 19 Mar 2020 18:12:25 -0700

libinstpatch (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3
  * Drop patch, applied by upstream
  * Add d/upstream/metadata
  * Add me as uploader

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Mar 2020 18:07:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libinstpatch
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	dh_install -plibinstpatch-dev usr/lib*/pkgconfig/* usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 	dh_install -plibinstpatch-1.0-2 usr/lib*/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/
 	dh_install --remaining-packages
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libinstpatch 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # libInstPatch package version
 set ( IPATCH_VERSION_MAJOR 1 )
 set ( IPATCH_VERSION_MINOR 1 )
-set ( IPATCH_VERSION_MICRO 3 )
+set ( IPATCH_VERSION_MICRO 5 )
 set ( VERSION "${IPATCH_VERSION_MAJOR}.${IPATCH_VERSION_MINOR}.${IPATCH_VERSION_MICRO}" )
 set ( IPATCH_VERSION "\"${VERSION}\"" )
 
@@ -30,8 +30,8 @@
 # if any interfaces have been removed/changed (compatibility broken): AGE=0
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LIB_VERSION_CURRENT 2 )
-set ( LIB_VERSION_AGE 0 )
-set ( LIB_VERSION_REVISION 2 )
+set ( LIB_VERSION_AGE 1 )
+set ( LIB_VERSION_REVISION 0 )
 set ( LIB_VERSION_INFO 
       "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )
 
@@ -60,12 +60,14 @@
 include ( CheckSTDC )
 include ( CheckIncludeFile )
 check_include_file ( string.h HAVE_STRING_H )
-check_include_file ( stdlib.h HAVE_STDLIB_H ) 
-check_include_file ( stdio.h HAVE_STDIO_H ) 
-check_include_file ( math.h HAVE_MATH_H ) 
-check_include_file ( errno.h HAVE_ERRNO_H ) 
-check_include_file ( stdarg.h HAVE_STDARG_H ) 
+check_include_file ( stdlib.h HAVE_STDLIB_H )
+check_include_file ( stdio.h HAVE_STDIO_H )
+check_include_file ( math.h HAVE_MATH_H )
+check_include_file ( errno.h HAVE_ERRNO_H )
+check_include_file ( stdarg.h HAVE_STDARG_H )
 check_include_file ( unistd.h HAVE_UNISTD_H )
+check_include_file ( locale.h HAVE_LOCALE_H )
+check_include_file ( xlocale.h HAVE_XLOCALE_H )
 
 if ( WIN32 )
   # Check presence of MS include files

=== debian/changelog ===
libinstpatch (1.1.5-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Jan 2021 13:16:24 -0500

libinstpatch (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5
  * Update symbols file
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 29 May 2020 19:44:33 +0200

libinstpatch (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4
  * Remove obsolete name from d/upstream/metadata
  * Add Build-Depends-Package to symbols file

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 10 Apr 2020 17:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libinstpatch
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
  gettext,
  intltool,

## libinstpatch 1.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #
 
 project ( libInstPatch C )
-cmake_minimum_required ( VERSION 2.6.3 )
+cmake_minimum_required ( VERSION 3.0 )
 set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )
 
 # libInstPatch package name
@@ -16,7 +16,7 @@
 # libInstPatch package version
 set ( IPATCH_VERSION_MAJOR 1 )
 set ( IPATCH_VERSION_MINOR 1 )
-set ( IPATCH_VERSION_MICRO 5 )
+set ( IPATCH_VERSION_MICRO 6 )
 set ( VERSION "${IPATCH_VERSION_MAJOR}.${IPATCH_VERSION_MINOR}.${IPATCH_VERSION_MICRO}" )
 set ( IPATCH_VERSION "\"${VERSION}\"" )
 
@@ -30,7 +30,7 @@
 # if any interfaces have been removed/changed (compatibility broken): AGE=0
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LIB_VERSION_CURRENT 2 )
-set ( LIB_VERSION_AGE 1 )
+set ( LIB_VERSION_AGE 2 )
 set ( LIB_VERSION_REVISION 0 )
 set ( LIB_VERSION_INFO 
       "${LIB_VERSION_CURRENT}.${LIB_VERSION_AGE}.${LIB_VERSION_REVISION}" )
@@ -159,7 +159,7 @@
 
 # Check for Gtk-Doc
 if (GTKDOC_ENABLED)
-  include (FindGtkDoc)
+  find_package(GtkDoc)
 endif ()
 
 # General configuration file

=== docs/CMakeLists.txt ===
# 
# libInstPatch
#
# Copyright (C) 1999-2014 Element Green <element@elementsofsound.org>
#
# See COPYING license file for distribution details
#

add_subdirectory ( reference )

=== libinstpatch/CMakeLists.txt ===
--- 
+++ 
@@ -372,6 +372,10 @@
   BUNDLE DESTINATION ${BUNDLE_INSTALL_DIR}
 )
 
+if ( MSVC )
+  install(FILES $<TARGET_PDB_FILE:libinstpatch> DESTINATION ${BIN_INSTALL_DIR} OPTIONAL)
+endif ( MSVC )
+
 macro(_list_prefix _outvar _listvar _prefix)
   set(${_outvar})
   foreach(_item IN LISTS ${_listvar})

=== docs/reference/CMakeLists.txt ===
--- 
+++ 
@@ -29,18 +29,19 @@
 )
 
 if (GTKDOC_FOUND)
-  include (UseGtkDoc)
-
-  gtk_doc_add_module (libinstpatch ${CMAKE_SOURCE_DIR}/libinstpatch
+  gtk_doc_add_module (libinstpatch
+    SOURCE ${CMAKE_SOURCE_DIR}/libinstpatch
     XML libinstpatch-docs.xml
     SUFFIXES c h
     IGNOREHEADERS ${ignore_headers}
-    EXTRAHEADERS ${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch/version.h
-    TYPEINITFUNC ipatch_init\(\)
+    SCANOPTS ${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch/version.h
+    SCANOBJOPTS --type-init-func=ipatch_init\(\)
     CFLAGS -I${CMAKE_SOURCE_DIR}
     LDFLAGS -L${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch -linstpatch-1.0
     LDPATH ${CMAKE_CURRENT_BINARY_DIR}/../../libinstpatch
     DEPENDS instpatch-1.0
   )
+
+  add_custom_target(documentation ALL DEPENDS doc-libinstpatch)
 endif ()

=== debian/changelog ===
libinstpatch (1.1.6-1) unstable; urgency=medium

  * New upstream version 1.1.6
  * Update symbols file
  * Bump S-V to 4.5.1
  * Bump d/copyright year
  * Remove unnecessary LDFLAGS from d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jan 2021 15:20:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libinstpatch
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
@@ -15,7 +14,7 @@
  libglib2.0-dev (>= 2.14),
  libsndfile1-dev (>= 1.0.17-2)
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libinstpatch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libinstpatch
 Homepage: https://github.com/swami/libinstpatch

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
@@ -14,6 +13,3 @@
 	dh_install -plibinstpatch-dev usr/lib*/pkgconfig/* usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
 	dh_install -plibinstpatch-1.0-2 usr/lib*/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/
 	dh_install --remaining-packages
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
